@kolomiec_artiom

Selenium в pythonanywhere. Почему не указывается путь?

Доброй ночи, друзья! Имеется следующий код программы:

from pyvirtualdisplay import Display
from selenium import webdriver
with Display():
    browser = webdriver.Firefox("/home/annanikolaeva/test")
    try:
        browser.get('http://www.google.com')
        print(str(browser.page_source))
    finally:
        browser.quit()


При его выполнении вылезает ошибка:

Traceback (most recent call last):
File "/usr/local/lib/python3.6/dist-packages/selenium/webdriver/common/service.py", line 74, in start
stdout=self.log_file, stderr=self.log_file)
File "/usr/lib/python3.6/subprocess.py", line 707, in __init__
restore_signals, start_new_session)
File "/usr/lib/python3.6/subprocess.py", line 1326, in _execute_child
raise child_exception_type(errno_num, err_msg)
FileNotFoundError: [Errno 2] No such file or directory: 'geckodriver'
During handling of the above exception, another exception occurred:
Traceback (most recent call last):
File "/home/annanikolaeva/test/example.py", line 6, in
browser = webdriver.Firefox("/home/annanikolaeva/test")
File "/usr/local/lib/python3.6/dist-packages/selenium/webdriver/firefox/webdriver.py", line 140, in __init__
self.service.start()
File "/usr/local/lib/python3.6/dist-packages/selenium/webdriver/common/service.py", line 81, in start
os.path.basename(self.path), self.start_error_message)
selenium.common.exceptions.WebDriverException: Message: 'geckodriver' executable needs to be in PATH.


Хотя в директории файл имеется. Что делать?
5aa7090817a2a790940283.png
  • Вопрос задан
  • 87 просмотров
Пригласить эксперта
Ответы на вопрос 1
@GeneD88
QA
В случае с geckodriver нужно указывать путь вплоть до экезшника.

browser = webdriver.Firefox("/home/annanikolaeva/test/geckodriver.exe")
Ответ написан
Ваш ответ на вопрос

Войдите, чтобы написать ответ

Войти через TM ID
Похожие вопросы
18 авг. 2018, в 11:06
10000 руб./за проект
18 авг. 2018, в 10:13
500 руб./в час
18 авг. 2018, в 09:13
13000 руб./за проект